Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 449915 - puplet won't show auth dialog when requesting view updates
Summary: puplet won't show auth dialog when requesting view updates
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: usermode
Version: 8
Hardware: x86_64
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Miloslav Trmač
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-06-04 09:18 UTC by Jan Tluka
Modified: 2009-01-09 06:34 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-01-09 06:34:02 UTC
Type: ---


Attachments (Terms of Use)

Description Jan Tluka 2008-06-04 09:18:29 UTC
Description of problem:
When puplet notifies that there are new updates available I click on 'View
updates' and nothing happens. I could see that getproxy was launched but
immediately defunc and auth failed in audit log, 

Version-Release number of selected component (if applicable):
pirut-1.3.28-1.fc8

How reproducible:
Not sure ...
I have to note that this worked some time before. After I've upgraded from F7 to
F8 it worked for some time but then it stopped to work.

Steps to Reproduce:
1. Install Fedora 8 (or upgrade F7->F8?)
2. Try to view updates via puplet ...
  
Actual results:
puplet won't launch auth dialog for root user.

in /var/log/audit/audit.log I see ...
type=USER_AUTH msg=audit(1212570069.548:405): user pid=21213 uid=500 auid=500
subj=unconfined_u:system_r:unconfined_t:s0-s0:c0.c1023
msg='op=PAM:authentication acct="root" exe="/usr/sbin/userhelper" (hostname=?,
addr=?, terminal=? res=failed)'
type=USER_AUTH msg=audit(1212570069.552:406): user pid=21213 uid=500 auid=500
subj=unconfined_u:system_r:unconfined_t:s0-s0:c0.c1023
msg='op=PAM:authentication acct="root" exe="/usr/sbin/userhelper" (hostname=?,
addr=?, terminal=? res=failed)'
type=USER_AUTH msg=audit(1212570069.555:407): user pid=21213 uid=500 auid=500
subj=unconfined_u:system_r:unconfined_t:s0-s0:c0.c1023
msg='op=PAM:authentication acct="root" exe="/usr/sbin/userhelper" (hostname=?,
addr=?, terminal=? res=failed)'

I did 'ps aux' to see what processes are started:
getproxy is immediately 'defunct'ed
igyn     21212  3.0  0.0      0     0 ?        Z    11:01   0:00 [getproxy]
<defunct>

then yum-updatesd-helper is launched and 'defunct'ed afterwards ...
root     21229  0.0  0.3 168500  7048 pts/0    RN   11:01   0:00 /usr/bin/python
-tt /usr/libexec/yum-updatesd-helper --check --dbus
root     21229  101  0.0      0     0 pts/0    ZN   11:01   0:06
[yum-updatesd-he] <defunct>


Expected results:
puplet launches auth dialog for root user and after succesfull auth shows
available updates.

Comment 1 Bug Zapper 2008-11-26 10:48:55 UTC
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 2 Bug Zapper 2009-01-09 06:34:02 UTC
Fedora 8 changed to end-of-life (EOL) status on 2009-01-07. Fedora 8 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.